import QtQuick 2.1
import HelperWidgets 2.0
import QtQuick.Layouts 1.0

Column {
    anchors.left: parent.left
    anchors.right: parent.right

    Section {
        anchors.left: parent.left
        anchors.right: parent.right
        caption: qsTr("Test Element")

        SectionLayout {
            Label {
                text: qsTr("Test Enum")
                tooltip: qsTr("Test Enum")
            }
            SecondColumnLayout {
                ComboBox {
                    backendValue: backendValues.testEnum
                    implicitWidth: 180
                    scope: "TestDefs"
                    model: ["AlignLeft", "AlignHCenter", "AlignRight"]
                }
                ExpandingSpacer {
                }
            }

            Label {
                text: qsTr("Qt Enum")
                tooltip: qsTr("Qt Enum")
            }
            SecondColumnLayout {
                ComboBox {
                    backendValue: backendValues.qtEnum
                    implicitWidth: 180
                    scope: "Qt"
                    model: ["AlignLeft", "AlignHCenter", "AlignRight"]
                }
                ExpandingSpacer {
                }
            }
        }

    }

    StandardTextSection {
        useLineEdit: true
        showIsWrapping: true
        showVerticalAlignment: true
        showFormatProperty: true
    }

    Section {
        anchors.left: parent.left
        anchors.right: parent.right
        caption: qsTr("Text Color")

        ColorEditor {
            caption: qsTr("Text Color")
            backendValue: backendValues.color
            supportGradient: false
        }
    }

    Section {
        anchors.left: parent.left
        anchors.right: parent.right
        caption: qsTr("Style Color")

        ColorEditor {
            caption: qsTr("Style Color")
            backendValue:  backendValues.styleColor
            supportGradient: false
        }
    }

    FontSection {
        showStyle: true
    }
}
