
#include <QQmlExtensionPlugin>
#include <QResource>
#include <QtQml>

#include "testdefs.h"

class TestControlsPlugin : public QQmlExtensionPlugin
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QQmlExtensionInterface/1.0")
public:
    explicit TestControlsPlugin(QObject *parent = 0);

    // QQmlTypesExtensionInterface interface
public:
    void registerTypes(const char *uri);
};

static void initResources()
{
    Q_INIT_RESOURCE(qml);
}

TestControlsPlugin::TestControlsPlugin(QObject *parent) :
    QQmlExtensionPlugin(parent)
{
}

void TestControlsPlugin::registerTypes(const char *uri)
{
    initResources();
    const QString prefix = QStringLiteral("qrc:///");
    qmlRegisterType(QUrl(prefix + QStringLiteral("/TestElement.qml")), uri, 1, 0, "TestElement");
    qmlRegisterUncreatableType<TestDefs>(uri, 1, 0, "TestDefs", "Error: TestDefs");
}

#include "plugin.moc"
